This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 609130 - Review Request: felix-framework - Felix Framework Interfaces and Classes
Review Request: felix-framework - Felix Framework Interfaces and Classes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On: 607389
Blocks: 609142 610153
  Show dependency treegraph
 
Reported: 2010-06-29 09:52 EDT by Victor G. Vasilyev
Modified: 2010-07-23 21:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-23 21:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sochotni: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Victor G. Vasilyev 2010-06-29 09:52:26 EDT
Spec URL: http://victorv.fedorapeople.org/files/felix-framework.spec
SRPM URL: http://victorv.fedorapeople.org/files/felix-framework-2.0.5-1.fc14.src.rpm
Description: Apache Felix Framework Interfaces and Classes

Note, the NetBeans 6.9 [1] depends on this package.
[1] https://fedoraproject.org/wiki/Features/NetBeans_6.9
Comment 1 Victor G. Vasilyev 2010-07-13 06:11:50 EDT
The second release is prepared for review where maven is used instead of ant.

Spec URL: http://victorv.fedorapeople.org/files/felix-framework.spec
SRPM URL: http://victorv.fedorapeople.org/files/felix-framework-2.0.5-2.fc14.src.rpm

The rpmlint tool shows "0 errors, 0 warnings" for all RPMs, including src.rpm.

Successful koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2316072
Comment 2 Stanislav Ochotnicky 2010-07-19 09:48:11 EDT
In case you will be doing more releases...please change BRs from maven2-plugin-XX to maven-XX-plugin. New plugins provide old names, but it would be better to get rid of old names and not introduce them in new packages. That is unless you plan to include this package for F-12/F-13...
Comment 3 Stanislav Ochotnicky 2010-07-19 10:27:18 EDT
I'll do the review in the end it seems :-)
Comment 4 Stanislav Ochotnicky 2010-07-19 10:35:51 EDT
OK: rpmlint must be run on every package. The output should be posted in the review.
completely clean...
OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: All filenames in rpm packages must be valid UTF-8. 

Few notes:
 * keep an eye out for felix-parent
 (https://bugzilla.redhat.com/show_bug.cgi?id=615868). After the
 package is built you can modify your patch and add felix-parent to BRs.
 * you can use maven-XX-plugin as BRs unless you plan to use same spec
 file for F-12/F-13
 * your use of '~' to separate parts of filename is a little bit
 untraditional (IMO), but not violating anything :-)

One quesion:
 Was it necessary to remove tests? Simple -Dmaven.test.skip=true
 wouldn't work? You commented on this so it's perfectly fine to remove
 them...just wondering.

That's all I could find, as with your previous packages, package is
in great shape: APPROVED.
Comment 5 Spike 2010-07-19 18:04:37 EDT
Sorry Stanislav, you were just a little too quick for me. But I found something you missed:

* Since the javadoc package is independent from the base package, it must include a copy of the license according to http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing
Comment 6 Stanislav Ochotnicky 2010-07-20 03:24:44 EDT
You are correct, I forgot about new Licensing guidelines. I'll better add that to my checklist so that won't happen again.
Comment 7 Victor G. Vasilyev 2010-07-21 08:32:36 EDT
Stanislav, Chris,

Thanks a lot for your reviews!

(In reply to comment #2)
> In case you will be doing more releases...please change BRs from
> maven2-plugin-XX to maven-XX-plugin. New plugins provide old names, but it
> would be better to get rid of old names and not introduce them in new 
> packages.
OK, but now
# yum --disablerepo=* --enablerepo=rawhide install maven-surefire-plugin maven-bundle-plugin
Loaded plugins: presto, refresh-packagekit
Setting up Install Process
No package maven-surefire-plugin available.
No package maven-bundle-plugin available.

Hence, I'll add to the spec something like this:
# TODO check availability and use new names
#BuildRequires:    maven-surefire-plugin
#BuildRequires:    maven-bundle-plugin
# instead of
BuildRequires:    maven2-plugin-surefire
BuildRequires:    maven-plugin-bundle
    

(In reply to comment #4)
> Few notes:
>  * keep an eye out for felix-parent
>  (https://bugzilla.redhat.com/show_bug.cgi?id=615868). After the
>  package is built you can modify your patch and add felix-parent to BRs.
OK.
>  * your use of '~' to separate parts of filename is a little bit
>  untraditional (IMO), but not violating anything :-)
The '~'sign has various meanings in different contexts, not only a home directory :-) 
Please, read the sign as "<subject> with changing of <something>", e.g. in this case the statement 
%{mame}-%{version}~pom.xml.patch
has the following meaning:
A patch for %{mame}-%{version}  with changing of the pom.xml.

>  Was it necessary to remove tests? Simple -Dmaven.test.skip=true
>  wouldn't work? You commented on this so it's perfectly fine to remove
>  them...just wondering.
The tests are compiled with errors without the rat-maven-plugin that is not in Fedora yet.

(In reply to comment #5)
> * Since the javadoc package is independent from the base package, it must
> include a copy of the license according to
> http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing
OK. I'll add a copy of the license to the javadoc sub-package.
Comment 8 Victor G. Vasilyev 2010-07-21 08:39:15 EDT
New Package CVS Request
=======================
Package Name: felix-framework
Short Description: Apache Felix Framework
Owners: victorv
Branches: 
InitialCC:
Comment 9 Stanislav Ochotnicky 2010-07-21 09:29:27 EDT
(In reply to comment #7)
> (In reply to comment #2)
> > In case you will be doing more releases...please change BRs from
> > maven2-plugin-XX to maven-XX-plugin. New plugins provide old names, but it
> > would be better to get rid of old names and not introduce them in new 
> > packages.
> OK, but now
> # yum --disablerepo=* --enablerepo=rawhide install maven-surefire-plugin
> maven-bundle-plugin
> Loaded plugins: presto, refresh-packagekit
> Setting up Install Process
> No package maven-surefire-plugin available.
> No package maven-bundle-plugin available.
> 
> Hence, I'll add to the spec something like this:
> # TODO check availability and use new names
> #BuildRequires:    maven-surefire-plugin
> #BuildRequires:    maven-bundle-plugin
> # instead of
> BuildRequires:    maven2-plugin-surefire
> BuildRequires:    maven-plugin-bundle

You are almost correct. maven-bundle-plugin hasn't been updated yet and maven-surefire-plugin is currently maven-surefire-maven-plugin (I'll fix this by the end of the week). So yes, those BRs are fine now.


> >  Was it necessary to remove tests? Simple -Dmaven.test.skip=true
> >  wouldn't work? You commented on this so it's perfectly fine to remove
> >  them...just wondering.
> The tests are compiled with errors without the rat-maven-plugin that is not in
> Fedora yet.

That's exactly why "-Dmaven.test.skip" is there. The tests won't be even compiled with this option.
Comment 10 Kevin Fenzi 2010-07-23 17:37:48 EDT
CVS done (by process-cvs-requests.py).
Comment 11 Victor G. Vasilyev 2010-07-23 21:45:27 EDT
Changes in the release 3.fc14:
- BR: maven-invoker-plugin required for maven-javadoc-plugin
- Use new names of the maven plgins
- Add license file to independent subpackage javadoc

Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2347560

Note You need to log in before you can comment on or make changes to this bug.